using Godot;

namespace Cirno.Scripts.Misc;

public partial class DialogueSkipListener : Node2D
{
    [Export] public StringName PauseActionName { get; private set; }= "pause";
    
    [Signal]
    public delegate void SkippedEventHandler();

    public override void _Process(double delta)
    {
        if (Input.IsActionJustPressed(PauseActionName))
        {
            EmitSignalSkipped();
        }
    }
}